﻿program DelphiDay;

{$APPTYPE CONSOLE}
{$R *.res}

{$IFDEF MSWINDOWS}
{$R *.dres}
{$ENDIF}

uses
  System.Classes, System.SysUtils;

function GetResourceString(const AResourceName, AResourceType: string): string;
var
  LStream: TResourceStream;
  LStrings: TStringList;
begin
  LStream := TResourceStream.Create(HInstance, AResourceName,
    PChar(AResourceType));
  try
    LStrings := TStringList.Create;
    try
      LStream.Position := 0;
      LStrings.Clear;
      LStrings.LoadFromStream(LStream);
      Result := LStrings.Text;
    finally
      LStrings.Free;
    end;
  finally
    LStream.Free;
  end;
end;

var
  LPrompt: string;

begin

  // Visualizza l'intestazione del programma.
  {$IFDEF MSWINDOWS}
  LPrompt := GetResourceString('TxtHeader', 'TEXT');
  Writeln(LPrompt);
  {$ENDIF}

  // Mostra un saluto se il nome utente è stato specificato.
  if ParamCount > 0 then
  begin
    Writeln(Format('Welcome to Delphi Day 2020, %s!', [ParamStr(1)]));
  end;

  // Attende la pressione di INVIO prima di terminare.
  Readln;

end.
