#define MyAppName "Delphi CLI Demo"
#define MyAppVersion "1.0"
#define MyAppPublisher "Delphi Day"
#define MyAppURL "https://www.delphiday.it/"
#define MyAppExeName "DelphiCli.exe"

[Setup]
AppId={{FE38CCD8-2E41-4139-8F84-7C6C9D59838A}
AppName={#MyAppName}
AppVersion={#MyAppVersion}
AppPublisher={#MyAppPublisher}
AppPublisherURL={#MyAppURL}
AppSupportURL={#MyAppURL}
AppUpdatesURL={#MyAppURL}
DefaultDirName={pf}\Delphi Day\Delphi CLI
DefaultGroupName=Delphi Day\Delphi CLI
AllowNoIcons=yes
OutputDir=Output
OutputBaseFilename=delphicli_setup
Compression=lzma
SolidCompression=yes

[Languages]
Name: "english"; MessagesFile: "compiler:Default.isl"
Name: "italian"; MessagesFile: "compiler:Languages\Italian.isl"

[Files]
Source: "..\Application\Win32\Release\DelphiCli.exe"; DestDir: "{app}"; Flags: ignoreversion

[Icons]
Name: "{group}\{#MyAppName}"; Filename: "{app}\{#MyAppExeName}"
Name: "{group}\{cm:UninstallProgram,{#MyAppName}}"; Filename: "{uninstallexe}"

[Registry]
Root: HKLM; Subkey: "SYSTEM\CurrentControlSet\Control\Session Manager\Environment"; ValueType: expandsz; ValueName: "Path"; ValueData: "{olddata};{app}"; Check: NeedsAddPath(ExpandConstant('{app}'))

[Code]
function NeedsAddPath(ANewPath: string): Boolean;
var
  LCurrentPath: string;
begin
  if not RegQueryStringValue(HKEY_LOCAL_MACHINE,
    'SYSTEM\CurrentControlSet\Control\Session Manager\Environment',
    'Path', LCurrentPath) then
  begin
    Result := True;
    Exit;
  end;
  Result := Pos(';' + ANewPath + ';', ';' + LCurrentPath + ';') = 0;
end;
