unit WebClient.Base.Command;

interface

uses
  System.Classes;

type

  /// <summary>
  ///  Rappresenta la classe base da cui derivano tutte le classi
  ///  che implementano un comando specifico del client.
  /// </summary>
  TCommand = class abstract (TPersistent)
  private
    FArguments: string;
  public
    constructor Create(const AArguments: string); virtual;
    procedure Execute; virtual; abstract;
    property Arguments: string read FArguments;
  end;

  TCommandClass = class of TCommand;

implementation

constructor TCommand.Create(const AArguments: string);
begin
  inherited Create;
  FArguments := AArguments;
end;

end.
