unit WebClient.Commands.Explore;

interface

uses
  WebClient.Base.Command;

type

  TCommandExplore = class (TCommand)
  private
    FPath: string;
  public
    constructor Create(const AArguments: string); override;
    procedure Execute; override;
  end;

implementation

uses
  System.Classes,
  System.SysUtils,
  Winapi.ShellAPI,
  Winapi.Windows;

constructor TCommandExplore.Create(const AArguments: string);
begin
  inherited Create(AArguments);
  FPath := Trim(AArguments);
end;

procedure TCommandExplore.Execute;
begin
  ShellExecute(0, 'open',
    PChar('explorer.exe'),
    PChar('/select, "' + FPath + '"'),
    nil, SW_NORMAL);
end;

initialization

  System.Classes.RegisterClass(TCommandExplore);

end.
