unit WebClient.Services.Messages;

interface

type

  TMessageBoxService = class
  private
    class procedure Show(const AText: string; AType: Cardinal); static;
  public
    class procedure Alert(const AText: string); static;
    class procedure Error(const AText: string); static;
    class procedure Info(const AText: string); static;
    class procedure Warn(const AText: string); static;
  end;

implementation

uses
  Vcl.Forms,
  Winapi.Windows;

class procedure TMessageBoxService.Alert(const AText: string);
begin
  Show(AText, MB_ICONEXCLAMATION or MB_OK);
end;

class procedure TMessageBoxService.Error(const AText: string);
begin
  Show(AText, MB_ICONERROR or MB_OK);
end;

class procedure TMessageBoxService.Info(const AText: string);
begin
  Show(AText, MB_ICONINFORMATION or MB_OK);
end;

class procedure TMessageBoxService.Show(const AText: string; AType: Cardinal);
begin
  MessageBox(0, PChar(AText), PChar(Application.Title),
    MB_SYSTEMMODAL or MB_SETFOREGROUND or MB_TOPMOST or AType);
end;

class procedure TMessageBoxService.Warn(const AText: string);
begin
  Show(AText, MB_ICONWARNING or MB_OK);
end;

end.
