unit WebClient.Services.Registration;

interface

type

  TRegistrationService = class
  public
    class procedure RegisterProtocol;
    class procedure UnregisterProtocol;
  end;

implementation

uses
  System.SysUtils,
  System.Win.Registry,
  Vcl.Forms,
  Winapi.Windows,
  WebClient.Base.Globals;

class procedure TRegistrationService.RegisterProtocol;
var
  LRegistry: TRegistry;
begin
  LRegistry := TRegistry.Create;
  try
    LRegistry.RootKey := HKEY_CLASSES_ROOT;
    LRegistry.OpenKey(StrRegisterAppId, True);
    try
      LRegistry.WriteString('', Format('URL:%s (%s)',
        [StrRegisterAppId, StrRegisterDescription]));
      LRegistry.WriteString('',
        'URL:' + StrRegisterAppId +' (' + StrRegisterDescription + ')');
      LRegistry.WriteInteger('EditFlags', 2);
      LRegistry.WriteString('Source Filter', '');
      LRegistry.WriteString('URL Protocol', '');
      LRegistry.OpenKey('shell', True);
      LRegistry.OpenKey('open', True);
      LRegistry.OpenKey('command', True);
      LRegistry.WriteString('',
        Format(StrRegisterCommand, [Application.ExeName]));
    finally
      LRegistry.CloseKey;
    end;
  finally
    LRegistry.Free;
  end;
end;

class procedure TRegistrationService.UnregisterProtocol;
var
  LRegistry: TRegistry;
begin
  LRegistry := TRegistry.Create;
  try
    LRegistry.RootKey := HKEY_CLASSES_ROOT;
    LRegistry.DeleteKey(StrRegisterAppId);
  finally
    LRegistry.Free;
  end;
end;

end.
